#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libXcursor-1.1.13.tar.bz2
    cd libXcursor-1.1.13
    ./configure --prefix=/usr --sysconfdir=/etc/X11 --localstatedir=/var \
	    --datadir=/usr/lib/X11 --disable-silent-rules --disable-static
    make
    strip -R .note -R .comment src/.libs/libXcursor.so.1
    mkdir -p ../libxcursor1/lib
    cp src/.libs/libXcursor.so.1 ../libxcursor1/lib/
    cd ..
    rm -rf libXcursor-1.1.13
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
